Bug 59217 - Strange characters appear in the output window.
Strange characters appear in the output window.
Product: Red Hat Linux
Classification: Retired
Component: kdevelop (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-02-02 12:29 EST by A. Miklas
Modified: 2007-04-18 12:39 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.0.2-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-24 17:12:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description A. Miklas 2002-02-02 12:29:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20010901

Description of problem:
Erroneous characters appear in the compiler messages window.
This bug also prevents users from simply clicking on entries in the messages
window to open source files automatically to the position of the compile error.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Open any project in KDevelop (prefereably something that will cause a
compile-time error)
2.Run a make or execute
3.Notice the extra characters in front of and after some of the lines.
4.Click on the line that describes a compile error.  Because of the leading
characters, KDevelop cannot locate the file.

Actual Results:  ...
igmake[3]: Nothing to be done for `all'.
8gmake[3]: Leaving directory `/home/andrew/kdevelop/hello/doc/en'
gmake[3]: Entering directory `/home/andrew/kdevelop/hello/doc'
Agmake[3]: Nothing to be done for `all-am'.

notice the extra characters before the word "make"
ehello.cpp:21: no `int Hello::ello (QWidget *, const char *)' member 
the "e" in front of "hello.cpp" here stops the user from simply clicking on this
line and being taken to line 21 of hello.cpp

Expected Results:  No strange characters in messages window.  Clicking on a line
that reports an filename, line number, and error should open the editor with the
appropriate file and position.

Additional info:
Comment 1 Ngo Than 2002-02-21 10:56:44 EST
It's fixed in kdevelop-2.0.2-3. You will find it in
ftp://people.redhat.com/than/7.2 later
Comment 2 Marcin Garski 2005-10-24 17:12:57 EDT
RHL is no longer supported. Besides currently available version is 3.2.0 (tons
of bugs fixes and new features). I didn't see this bug on 3.2.0.
Closing, please reopen if this is still an issue with newer releases.

Note You need to log in before you can comment on or make changes to this bug.